---
title: Get Pricing Feed Error Report
slug: api-documentation/d05P-get-pricing-feed-error-report
docTags: 
createdAt: 2026-08-27T17:05:45.863Z
---

{
  "id": "MaRU8X27Me40etNRDqqHJ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/pricingfeed/{feedId}/erroneousreport",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/pricingfeed/{feedId}/erroneousreport"
      }
    ],
    "name": "Get Pricing Feed Error Report",
    "description": "Get Pricing feed status",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "feedId",
          "type": "string",
          "description": "Feed ID"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "UpStart Tenant"
        },
        {
          "kind": "required",
          "name": "x-upstart-site",
          "type": "string",
          "description": "UpStart Site"
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "page",
          "type": "string",
          "description": "Pricing Offset"
        },
        {
          "kind": "required",
          "name": "pageSize",
          "type": "string",
          "description": "Pricing Size"
        },
        {
          "kind": "required",
          "name": "sort",
          "type": "string",
          "description": "Sorting"
        },
        {
          "kind": "required",
          "name": "errorType",
          "type": "string",
          "description": "Error Type"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Feed Report against feed Id",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "pageNo",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "pageSize",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "pageCount",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "totalAssets",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/Errors",
                "customType": "Errors[]",
                "schema": [
                  {
                    "name": "validationErrors",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/ValidationError",
                    "customType": "ValidationError[]",
                    "schema": [
                      {
                        "name": "errorType",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "data",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "errorDetails",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "processingErrors",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/ProcessingError",
                    "customType": "ProcessingError[]",
                    "schema": [
                      {
                        "name": "errorType",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "assetId",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "data",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "errorDetails",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "1B0ydL50-X9WS_bdcTAGz",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.upstartcommerce.com/v1/pricingfeed/{feedId}/erroneousreport?page=string&pageSize=string&sort=string&errorType=string' \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --header 'x-upstart-site: string'"
        },
        {
          "id": "HCCI8cPTR4gyL9HoogZ-x",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\nmyHeaders.append(\"x-upstart-site\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/pricingfeed/{feedId}/erroneousreport?page=string&pageSize=string&sort=string&errorType=string\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "VR8puaRARA5WDww2GQdMg",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/pricingfeed/{feedId}/erroneousreport?page=string&pageSize=string&sort=string&errorType=string\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest[\"x-upstart-site\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "O8-DGKzEbetIP7IqRznxI",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/pricingfeed/{feedId}/erroneousreport?page=string&pageSize=string&sort=string&errorType=string\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string',\n   'x-upstart-site': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "1B0ydL50-X9WS_bdcTAGz"
    },
    "results": {
      "languages": [
        {
          "id": "SnGJcptKDC5cqWh3cleNx",
          "language": "200",
          "code": "// Feed Report against feed Id\n{\n  \"pageNo\": 0,\n  \"pageSize\": 0,\n  \"pageCount\": 0,\n  \"totalAssets\": 0,\n  \"errors\": [\n    {\n      \"validationErrors\": [\n        {\n          \"errorType\": \"\",\n          \"data\": \"\",\n          \"errorDetails\": \"\"\n        }\n      ],\n      \"processingErrors\": [\n        {\n          \"errorType\": \"\",\n          \"assetId\": \"\",\n          \"data\": \"\",\n          \"errorDetails\": \"\"\n        }\n      ]\n    }\n  ]\n}"
        },
        {
          "id": "bHKqA7hGQn7zr20tvP-On",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": [\n    \"\"\n  ],\n  \"reason\": \"\"\n}"
        },
        {
          "id": "HGjMIDEXK5uhmaKvNsWLP",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "q70gRJbOGZZAzXldNvTRo",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "SnGJcptKDC5cqWh3cleNx"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}